/**
 * Env settings for apeman project.
 * @module apemanenv
 * @version 4.2.3
 */

'use strict'

const pkg = require('../package.json')
const print = require('./print')
const apemanenv = require('./apemanenv')

let lib = apemanenv.bind(this)

Object.assign(lib, {
  apemanenv,
  print,
  version: pkg.version
})

module.exports = lib
