/**
 * Test case for evaluate.
 * Runs with mocha.
 */
'use strict'

const evaluate = require('../lib/evaluate.js')
const assert = require('assert')
const co = require('co')

describe('evaluate', function () {
  this.timeout(3000)

  before(() => co(function * () {

  }))

  after(() => co(function * () {

  }))

  it('Evaluate', () => co(function * () {
    let evaluated = evaluate({
      foo: {
        NAME: 'Foo',
        DESC: 'This is #{NAME}',
        DESC2: 'This is #{foo.NAME}'
      }
    })
    assert.deepEqual(evaluated, { foo: { NAME: 'Foo', DESC: 'This is Foo', DESC2: 'This is Foo' } })
  }))
})

/* global describe, before, after, it */
